Skip to navigation

Update Sales Staff Assignments

Updates the Company assignments of the Sales Staff account associated with salesStaffId. This operation is non-destructive, meaning that assigning or unassigning a single Company from the Sales Staff does not affect the other assignments.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

salesStaffIdintegerRequired
Unique numeric ID of the Sales Staff account.

Request

This endpoint expects a list of objects.
companyIdintegerRequired
The unique numeric ID of a Company account.
assignStatusbooleanRequired

Indicates whether the Sales Staff account is being assigned to (true) or unassigned from (false) the Company.

Response

OK
codeintegerOptionalDefaults to 200
The HTTP Status code of the response.
dataobjectOptional
metaobjectOptional

Errors

400
Bad Request Error
422
Unprocessable Entity Error